<?php

/**
 * Gateway_Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Controllers
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2014 DNSthingy
 * @license    All rights reserved
 * @link       https://www.dnsthingy.com
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('gateway_management-lang');

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

$checking = lang('gateway_management_checking');

$options = array('id'=>'signin_link', 'target'=>'_blank');
$button = anchor_custom('https://dashboard.gateway.management/dashboard/signin', lang('gateway_management_log_in'), 'high', $options);

if ($is_enabled) {
    $status = 'enabled';
} else {
    $status = 'disabled';
}

$content  = $button;
$content .= '<p id="dt_dashboard_msg" class="'.$status.'"><i class="fa fa-spin fa-spinner"></i> '.$checking.'</p>';

echo infobox_highlight(lang('gateway_management_infobox_title'), $content, array('id'=>'dt_content'));
