<?php

/**
 * Gateway_Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Views
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015 DNSthingy
 * @license    All rights reserved
 * @link       https://www.dnsthingy.com
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

/**
 * Gateway_Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Controllers
 * @author     DNSthingy <support@dnsthingy.com>
 * @copyright  2015 DNSthingy
 * @license    All rights reserved
 */

class Gateway_Management_Info extends ClearOS_Controller
{
    /**
     * Gateway_Management default controller.
     *
     * @return view
     */

    function index()
    {
        $this->load->library('gateway_management/DNSthingy');

        // Load views
        //-----------
        $data['is_enabled'] = $this->dnsthingy->is_enabled();
        $this->page->view_form('gateway_management/home', $data, lang('gateway_management_app_name'));
    }

}
